# see http://xframe.sourceforge.net/xsddoc/install-console.html

Name:          xsddoc
Version:       1.0
Release:       %mkrel 7
Summary:       Documentation tool for W3C XML Schema
Group:         Development/Java
License:       LGPL
Url:           http://xframe.sourceforge.net/xsddoc/index.html
Source0:       http://sourceforge.net/projects/xframe/files/xsddoc/xsddoc-%{version}/%{name}-%{version}.tar.gz
Source1:       http://repo1.maven.org/maven2/xsddoc/xsddoc/%{version}/%{name}-%{version}.pom

Patch0:        xsddoc-1.0-build_xml.patch
Patch1:        xsddoc-1.0-bin.patch
Patch2:        xsddoc-1.0-pom_xml.patch

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: xalan-j2

Requires:      ant
Requires:      xalan-j2
Requires:      xalan-j2-xsltc
Requires:      xerces-j2
Requires:      xml-commons-apis

Requires:      java-headless
Requires:      jpackage-utils

%description
xsddoc is a XML Schema documentation generator for W3C XML Schemas.

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n xsddoc-%{version}

perl -pi -e 's/\r$//g' bin/xsddoc LICENSE.txt readme.txt
%patch0 -p0
%patch1 -p0
cp -p %SOURCE1 pom.xml
%patch2 -p0

find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;
find -name '*.bat' -exec rm -f '{}' \;
find -name '*.tar' -exec rm -f '{}' \;
find -name '*.gz' -exec rm -f '{}' \;

rm -rf doc/api

%build

%ant

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 lib/%{name}.jar %{buildroot}%{_javadir}/

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -r doc/api/* %{buildroot}%{_javadocdir}/%{name}

mkdir -p %{buildroot}%{_bindir}
install -pm 755 bin/%{name} %{buildroot}%{_bindir}/

%files -f .mfiles
%{_bindir}/%{name}
%doc LICENSE.txt readme.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 1.0-7.mga6
+ Revision: 951524
- Mageia 6 Mass Rebuild

* Fri Jan 02 2015 daviddavid <daviddavid> 1.0-6.mga5
+ Revision: 808213
- use .mfiles generated during build

* Wed Oct 15 2014 umeabot <umeabot> 1.0-5.mga5
+ Revision: 744531
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-4.mga5
+ Revision: 690770
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 520761
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 387395
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 07 2012 gil <gil> 1.0-1.mga2
+ Revision: 205963
- imported package xsddoc

